Get free slots for a calendar between a date range. Optionally a consumer can also request free slots in a particular timezone and also for a particular user.

http
GET https://services.leadconnectorhq.com/calendars/{calendarId}/free-slots

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
calendarIdstringYesocQHyuzHvysMo5N5VsXcCalendar Id

Query parameters

NameTypeRequiredExampleDescription
startDatenumberYes1548898600000Start Date (⚠️ Important: Date range cannot be more than 31 days)
endDatenumberYes1601490599999End Date (⚠️ Important: Date range cannot be more than 31 days)
timezonestringNoAmerica/ChihuahuaThe timezone in which the free slots are returned
userIdstringNo082goXVW3lIExEQPOnd3The user for whom the free slots are returned
userIdsstring[]NoThe users for whom the free slots are returned

Responses

200 - Availability map keyed by date (YYYY-MM-DD)
json
{
  "2024-10-28": {
    "slots": [
      "2024-10-28T10:00:00-05:00",
      "2024-10-28T11:00:00-05:00"
    ]
  },
  "2024-10-29": {
    "slots": [
      "2024-10-29T10:00:00-05:00",
      "2024-10-29T14:30:00-05:00"
    ]
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/free-slots' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?